import { type ClassValue, clsx } from "clsx";
import { twMerge } from "tailwind-merge";

export function cn(...inputs: ClassValue[]) {
	return twMerge(clsx(inputs));
}

export function handleRedirect(path: string, url: URL) {
	const redirectTo = url.pathname + url.search;
	return `/${path}?redirectTo=${encodeURIComponent(redirectTo)}`;
}
