import { API_URL } from "$env/static/private";

import type { PageServerLoad } from "./$types";

import { redirect } from "@sveltejs/kit";

import type { Chapter } from "$lib/types";

export const load: PageServerLoad = async ({ locals, fetch }) => {
  if (!locals.user) {
    redirect(302, "/login");
  }

  let chapters: Chapter[] = [];

  try {
    const res = await fetch(API_URL + "/chapters");

    if (res.ok) {
      chapters = await res.json();
    }
  } catch (error) {
    console.error("Error fetching chapters", error);
  }

  const event = chapters?.filter((chapter) => chapter.start && chapter.end).pop();

  return {
    title: 'Accueil',

    chapters,
    event,
  };
};
