import { API_URL } from "$env/static/private";

import type { PageServerLoad } from "./$types";

import { redirect } from "@sveltejs/kit";

import type { Puzzle } from "$lib/types";

export const load: PageServerLoad = async ({ locals, fetch }) => {
  if (!locals.user || !locals.user.email.endsWith('@peerat.dev')) redirect(302, '/login');

  const res = await fetch(API_URL + '/admin/puzzles/');

  if (!res.ok) {
    redirect(302, '/');
  }

  const puzzles: Puzzle[] = await res.json();

  return {
    puzzles
  };
};
