import { API_URL } from '$env/static/private';

import type { PageServerLoad } from './$types';

import { redirect } from '@sveltejs/kit';

import type { Leaderboard } from '$lib/types';
import { handleRedirect } from '$lib/utils';

export const load: PageServerLoad = async ({ url, locals, fetch }) => {
  if (!locals.user) {
    redirect(302, handleRedirect('login', url));
  }

  const res = await fetch(`${API_URL}/leaderboard`);

  if (!res.ok) {
    return {
      leaderboard: []
    };
  }

  const leaderboard: Leaderboard[] = await res.json();

  return {
    title: 'Classement',
    
    leaderboard
  };
};
