import { z } from 'zod';

// export const CODE_REGEX = /^[0-9a-f]{4}-[0-9a-f]{4}$/;

export const formSchema = z.object({
  email: z.string().email({ message: 'Email invalide' }),
  firstname: z.string().nonempty({ message: "Prénom requis" }),
  lastname: z.string().nonempty({ message: "Nom requis" }),
  pseudo: z.string().nonempty({ message: "Nom d'utilisateur requis" }),
});

export type FormSchema = typeof formSchema;

export const formConfirmationSchema = z.object({
  ...formSchema.shape,
  passwd: z.string().nonempty({ message: 'Mot de passe requis' }),
  confirm: z.string().nonempty({ message: 'Confirmation du mot de passe requise' }),
  code: z.string().nonempty({ message: 'Confirmation du mot de passe requise' }),

}).refine((data) => data.passwd == data.confirm, {
  message: 'Les mots de passe ne correspondent pas',
  path: ['confirm']
});

export type FormConfirmationSchema = typeof formConfirmationSchema;
