import { z } from 'zod';

export const formSchema = z.object({
  email: z.string().email({ message: 'Email invalide' })
});

export type FormSchema = typeof formSchema;

export const formConfirmationSchema = z.object({
  email: z.string().email({ message: 'Email invalide' }),
  password: z.string().nonempty({ message: 'Mot de passe requis' }),
  confirm: z.string().nonempty({ message: 'Confirmation du mot de passe requise' }),
  code: z.string().nonempty({ message: 'Code de confirmation requis' })
}).refine((data) => data.password == data.confirm, {
  message: 'Les mots de passe ne correspondent pas',
  path: ['confirm']
});

export type FormConfirmationSchema = typeof formConfirmationSchema;
